This page was not yet optimized for use on mobile devices.
ENFORCER R1
Certificate details
| Certificate ID | #3932 |
|---|---|
| Status | historical |
| Historical reason | Moved to historical list due to sunsetting |
| Validation dates | 24.05.2021 |
| Standard | FIPS 140-2 |
| Security level | 4 |
| Type | Hardware |
| Embodiment | Multi-Chip Stand Alone |
| Caveat | When utilizing a Trusted Path as specified in the security policy |
| Description | The ENFORCER R1 provides a physically secure, Level 4 enclosure protecting CSPs and cryptographic data. A physical tamper event on the enclosure immediately zeroizes module CSPs. It provides a KMIP (Key Management Interoperability Protocol) service for key management to external users. It also provides additional services for module management, module configuration, and for building higher-level application scenarios such as integration into cloud and data center environments. |
| Version (Hardware) | (ENFORCER.R1.A2SDi.1.0.0, ENFORCER.R1.X10SDV.1.0.0, ENFORCER.R1.M11SDV.1.0.0 or ENFORCER.R1.X11SDV.1.0.0) and other excluded components identified in Security Policy Section 1.4 |
| Version (Firmware) | Security Anchor Firmware 1.2.0, Libdrbg 1.0.2, and Libucl 2.5.13 |
| Vendor | Private Machines Inc. http://privatemachines.com |
| Lab | Penumbra Security, Inc. |
| Algorithms | |
| References | This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates. |
Security policy
Extracted keywords
Symmetric Algorithms
AES, HMAC, HMAC-SHA-256, HMAC-SHA-224, HMAC-SHA-384Asymmetric Algorithms
RSA 2048, RSA-OAEP, ECDSA, DH, DHE, Diffie-Hellman, DSAHash functions
SHA-1, SHA-256, SHA-224, SHA-384, SHA-512, SHA256, SHA512Schemes
MAC, Key agreementProtocols
TLS 1.2, TLS, TLSv1.2Randomness
DRBG, RNGElliptic Curves
P-224, P-256, P-384, P-521Block cipher modes
ECB, CBC, CTR, GCMTLS cipher suites
TLS_DHE_RSA_WITH_AES_256_GCM_SHA384Security level
Level 4Side-channel analysis
Timing Attacks, physical tamperingStandards
FIPS 140-2, FIPS 1402, FIPS 197, FIPS 186-4, FIPS 198-1, FIPS 180-4, FIPS 186-2, SP 800-38A, SP 800-38F, SP 800-56B, SP 800-38D, SP 800-52, SP 800-133, SP 800-90A, SP 800-56A, SP 800-135, PKCS 1, PKCS#1, RFC 5288, RFC5077, RFC5288, RFC5246, X.509Automated analysis
Automated inference - use with caution
All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.No automatically derived data are available in this section.
Cross-references
No references are available for this certificate.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate was first processed.
{
"_type": "sec_certs.sample.fips.FIPSCertificate",
"cert_id": 3932,
"dgst": "bcbbc9eada524a09",
"heuristics": {
"_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
"algorithms": {
"_type": "Set",
"elements": [
"HMAC#3385",
"#5073",
"CVL#1634",
"#4131",
"#1336",
"AES#5073",
"#2751",
"CVL#1635",
"DSA#1336",
"RSA#2751",
"CVL#1633",
"#3385",
"KTS#5073",
"#1635",
"SHS#4131",
"DRBG#C558",
"#1634",
"#1633",
"AES#C1028",
"#C558",
"ECDSA#1316",
"#C1028",
"#1316"
]
},
"cpe_matches": null,
"direct_transitive_cves": null,
"extracted_versions": {
"_type": "Set",
"elements": [
"1.0.0",
"2.5.13",
"1.2.0",
"1.4",
"1.0.2"
]
},
"indirect_transitive_cves": null,
"module_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"module_prunned_references": {
"_type": "Set",
"elements": []
},
"policy_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"policy_prunned_references": {
"_type": "Set",
"elements": []
},
"related_cves": null,
"verified_cpe_matches": null
},
"pdf_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
"br1_deviations": 38,
"br1_tables": null,
"is_br1_format": false,
"keywords": {
"asymmetric_crypto": {
"ECC": {
"ECDSA": {
"ECDSA": 26
}
},
"FF": {
"DH": {
"DH": 12,
"DHE": 16,
"Diffie-Hellman": 5
},
"DSA": {
"DSA": 8
}
},
"RSA": {
"RSA 2048": 3,
"RSA-OAEP": 1
}
},
"certification_process": {},
"cipher_mode": {
"CBC": {
"CBC": 19
},
"CTR": {
"CTR": 4
},
"ECB": {
"ECB": 13
},
"GCM": {
"GCM": 67
}
},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {},
"crypto_protocol": {
"TLS": {
"TLS": {
"TLS": 163,
"TLS 1.2": 10,
"TLSv1.2": 3
}
}
},
"crypto_scheme": {
"KA": {
"Key agreement": 1
},
"MAC": {
"MAC": 6
}
},
"device_model": {},
"ecc_curve": {
"NIST": {
"P-224": 8,
"P-256": 18,
"P-384": 8,
"P-521": 6
}
},
"eval_facility": {},
"fips_cert_id": {
"Cert": {
"#1316": 11,
"#1336": 7,
"#1633": 11,
"#1634": 4,
"#1635": 5,
"#2751": 27,
"#3385": 7,
"#4131": 16,
"#5073": 37
}
},
"fips_certlike": {
"Certlike": {
"#1316 HMAC": 1,
"#1336 DRBG": 1,
"#1633 RSA": 1,
"#2751 SHA": 2,
"#2751 SHS": 3,
"#5073 DRBG": 5,
"#5073 RSA": 1,
"#5073 SHA": 1,
"AES #5073": 26,
"AES 256": 1,
"AES CBC 256": 4,
"AES CBC 256 #5073": 6,
"AES GCM 256": 31,
"CVL #1633": 11,
"CVL #1634": 4,
"CVL #1635": 3,
"DSA #1336": 7,
"HMAC #3385": 12,
"HMAC (#3385": 1,
"HMAC-SHA-1": 2,
"HMAC-SHA-256": 4,
"HMAC-SHA-384": 2,
"HMAC-SHA-512": 2,
"PKCS 1": 4,
"PKCS#1": 2,
"RSA #2751": 27,
"RSA 2048": 3,
"SHA #4131": 6,
"SHA-1": 4,
"SHA-224": 3,
"SHA-256": 12,
"SHA-384": 7,
"SHA-512": 9,
"SHA256": 1,
"SHA512": 1,
"SHS #4131": 10
}
},
"fips_security_level": {
"Level": {
"Level 4": 4
}
},
"hash_function": {
"SHA": {
"SHA1": {
"SHA-1": 4
},
"SHA2": {
"SHA-224": 4,
"SHA-256": 11,
"SHA-384": 8,
"SHA-512": 8,
"SHA256": 1,
"SHA512": 1
}
}
},
"ic_data_group": {},
"javacard_api_const": {},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {
"PRNG": {
"DRBG": 101
},
"RNG": {
"RNG": 3
}
},
"side_channel_analysis": {
"FI": {
"physical tampering": 1
},
"SCA": {
"Timing Attacks": 1
}
},
"standard_id": {
"FIPS": {
"FIPS 140-2": 69,
"FIPS 1402": 1,
"FIPS 180-4": 2,
"FIPS 186-2": 1,
"FIPS 186-4": 10,
"FIPS 197": 4,
"FIPS 198-1": 2
},
"NIST": {
"SP 800-133": 1,
"SP 800-135": 1,
"SP 800-38A": 2,
"SP 800-38D": 5,
"SP 800-38F": 4,
"SP 800-52": 3,
"SP 800-56A": 1,
"SP 800-56B": 3,
"SP 800-90A": 1
},
"PKCS": {
"PKCS 1": 2,
"PKCS#1": 1
},
"RFC": {
"RFC 5288": 1,
"RFC5077": 2,
"RFC5246": 1,
"RFC5288": 1
},
"X509": {
"X.509": 25
}
},
"symmetric_crypto": {
"AES_competition": {
"AES": {
"AES": 234
}
},
"constructions": {
"MAC": {
"HMAC": 52,
"HMAC-SHA-224": 1,
"HMAC-SHA-256": 1,
"HMAC-SHA-384": 2
}
}
},
"tee_name": {},
"tls_cipher_suite": {
"TLS": {
"TLS_DHE_RSA_WITH_AES_256_GCM_SHA384": 1
}
},
"vendor": {},
"vulnerability": {}
},
"module_algorithms": {
"_type": "Set",
"elements": [
"HMAC#3385",
"CVL#1633",
"KTS#5073",
"AES#C1028",
"AES#5073",
"ECDSA#1316",
"CVL#1635",
"SHS#4131",
"DSA#1336",
"RSA#2751",
"CVL#1634",
"DRBG#C558"
]
},
"policy_algorithms": {
"_type": "Set",
"elements": [
"#3385",
"#1634",
"#1633",
"#1635",
"#C558",
"#1336",
"#2751",
"#5073",
"#C1028",
"#4131",
"#1316"
]
},
"policy_metadata": {
"/Author": "work",
"/CreationDate": "D:20210517205635Z",
"/Creator": "Nitro Pro",
"/ModDate": "D:20210517135735-07\u002700\u0027",
"/Producer": "Nitro Pro (11. 0. 3. 134)",
"pdf_file_size_bytes": 7420596,
"pdf_hyperlinks": {
"_type": "Set",
"elements": []
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 58
}
},
"state": {
"_type": "sec_certs.sample.fips.InternalState",
"module": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": null,
"source_hash": null,
"txt_hash": null
},
"policy": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "77ac0741b8dff22d226096e4f845f1cabdb32622c711f9f6f56a1a0ae8ee04be",
"source_hash": "03d1ddb7798d5e62dd32054763bd022a57d4dc75bd32ee6823869595cf4fe434",
"txt_hash": "3458e7dc54d8a081b349b36c27e323a1b6cfb898a4db1925943e57ce57ecc58c"
}
},
"web_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
"caveat": "When utilizing a Trusted Path as specified in the security policy",
"certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/May 2021_010621_0658.pdf",
"date_sunset": null,
"description": "The ENFORCER R1 provides a physically secure, Level 4 enclosure protecting CSPs and cryptographic data. A physical tamper event on the enclosure immediately zeroizes module CSPs. It provides a KMIP (Key Management Interoperability Protocol) service for key management to external users. It also provides additional services for module management, module configuration, and for building higher-level application scenarios such as integration into cloud and data center environments.",
"embodiment": "Multi-Chip Stand Alone",
"exceptions": null,
"fw_versions": "Security Anchor Firmware 1.2.0, Libdrbg 1.0.2, and Libucl 2.5.13",
"historical_reason": "Moved to historical list due to sunsetting",
"hw_versions": "(ENFORCER.R1.A2SDi.1.0.0, ENFORCER.R1.X10SDV.1.0.0, ENFORCER.R1.M11SDV.1.0.0 or ENFORCER.R1.X11SDV.1.0.0) and other excluded components identified in Security Policy Section 1.4",
"level": 4,
"mentioned_certs": {},
"module_name": "ENFORCER R1",
"module_type": "Hardware",
"revoked_link": null,
"revoked_reason": null,
"standard": "FIPS 140-2",
"status": "historical",
"sw_versions": null,
"tested_conf": null,
"validation_history": [
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2021-05-24",
"lab": "Penumbra Security, Inc.",
"validation_type": "Initial"
}
],
"vendor": "Private Machines Inc.",
"vendor_url": "http://privatemachines.com"
}
}